Debian Bug report logs - #669461
shelltestrunner: FTBFS: unsatisfiable build-dependency: libghc-test-framework-dev (< 0.6) but 0.6-1 is to be installed

version graph

Package: src:shelltestrunner; Maintainer for src:shelltestrunner is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 19:45:05 UTC

Severity: serious

Tags: sid, wheezy

Found in version shelltestrunner/1.2.1-2

Fixed in version shelltestrunner/1.2.1-3

Done: Iustin Pop <iustin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#669461; Package src:shelltestrunner. (Thu, 19 Apr 2012 19:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 19:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: shelltestrunner: FTBFS: unsatisfiable build-dependency: libghc-test-framework-dev (< 0.6) but 0.6-1 is to be installed
Date: Thu, 19 Apr 2012 21:39:31 +0200
Source: shelltestrunner
Version: 1.2.1-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install shelltestrunner build dependencies (apt-based resolver)              │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-shelltestrunner-dummy : Depends: libghc-test-framework-dev (< 0.6) but 0.6-1 is to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/shelltestrunner_1.2.1-2_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to Iustin Pop <iustin@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 19:21:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 19 May 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 669461-close@bugs.debian.org (full text, mbox):

From: Iustin Pop <iustin@debian.org>
To: 669461-close@bugs.debian.org
Subject: Bug#669461: fixed in shelltestrunner 1.2.1-3
Date: Sat, 19 May 2012 19:20:03 +0000
Source: shelltestrunner
Source-Version: 1.2.1-3

We believe that the bug you reported is fixed in the latest version of
shelltestrunner, which is due to be installed in the Debian FTP archive:

shelltestrunner_1.2.1-3.debian.tar.gz
  to main/s/shelltestrunner/shelltestrunner_1.2.1-3.debian.tar.gz
shelltestrunner_1.2.1-3.dsc
  to main/s/shelltestrunner/shelltestrunner_1.2.1-3.dsc
shelltestrunner_1.2.1-3_amd64.deb
  to main/s/shelltestrunner/shelltestrunner_1.2.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669461@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iustin Pop <iustin@debian.org> (supplier of updated shelltestrunner package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 19 May 2012 20:07:41 +0200
Source: shelltestrunner
Binary: shelltestrunner
Architecture: source amd64
Version: 1.2.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Iustin Pop <iustin@debian.org>
Description: 
 shelltestrunner - test command-line programs or arbitrary shell commands
Closes: 669461
Changes: 
 shelltestrunner (1.2.1-3) unstable; urgency=low
 .
   * Remove pandoc as build-dependency (to allow building on more arches)
   * Bump dependency on test-framework (Closes: #669461)
   * Manually restrict the package to architectures which have a threaded
     runtime
   * Add patch to skip explicit decoding/encoding of FilePath, since ghc
     7.4 already does it automatically
Checksums-Sha1: 
 5a68d327982d263600dd2383711d09ec74a78c8f 2588 shelltestrunner_1.2.1-3.dsc
 6b407eb633a7c00c603dd50231abbddf400ea2c2 6048 shelltestrunner_1.2.1-3.debian.tar.gz
 5d196d0f3455bff8af7e0d2fa837ae783928e52a 2107696 shelltestrunner_1.2.1-3_amd64.deb
Checksums-Sha256: 
 822382b208ad9fb0db25a2b72fccd469816a1f56302b42fdb92bfe97345e7c23 2588 shelltestrunner_1.2.1-3.dsc
 8dab20d5aaf07165a1268ee13d307f900c3bcaed09f9a67ec6083b283253efbf 6048 shelltestrunner_1.2.1-3.debian.tar.gz
 2d4c5cf0bff282dab877390f41e5aa5bd6d80c3ced3ae06493fc3fd61e1353d2 2107696 shelltestrunner_1.2.1-3_amd64.deb
Files: 
 adccadcc8c5480ee0d6a66e862438427 2588 haskell extra shelltestrunner_1.2.1-3.dsc
 9fcaec1b1bfe774014cf1df32b7bc1ce 6048 haskell extra shelltestrunner_1.2.1-3.debian.tar.gz
 d91575dcd49dcc75718362e674cba576 2107696 haskell extra shelltestrunner_1.2.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPt+78AAoJEPZuPkGfhPTeUNcQAJkwgPl8QZ03feoYwhFGcOVC
eGm0/MTUFFKrp8d9dYoehEKLqPT69xm2wwg50ohmx4C2FNN/fjNPOiDgAm/b9KUo
/k/AvbZ+yw3DqueUphZ8FdtoUKJ3ic/iMFy0rFO+lIu5SqJnk8BlyqHcbgwMVT6M
+5CUCsf5qS26+yPgAXYbcNTw7N9+vCy95D2FfNQZDR7NSjaDK+YYdKkOp9lqc8tZ
G5B/AeuYJAN2VV9oNGPBI/lccmoo6Xb8v13yV2NQaTxWDDmakJiKRirQ/pAHugI6
CzaRCwQQb3JGAvjn+1rhdK8dTSrtr4DJQ0bXVrPtw8h+4lMqUaADNoG07g0S3bB/
JhdtyRowIM5n/KLSn4Eyz5zqQZYJAjA45/7hvfBZZgUXPsAZ3fQIltdf2skdgQCC
g9jMObE03LTIFn5Bj5sBohx1r3zhffQPlxEfxIXfeblOtz0O18XWiyP2z635Sd3W
sPECtnNkZkM23sKR74OTvpGmpqhJuPOhzsTtRuM1hsz/mQjnuAV6qhv+mRzN49KJ
IDrAIsSTcFZbgEvN20x/uUuXHQ0OtPnkA7qu31I3gA6tCEBECNhuPBcYsQKU7vEP
zigWZOjDCzZ+skmHYljPUugTS7zs1rBRSvPiYycED4zWedlEwCFYJm7G5OMHTdDK
UsgFiw0kewQZlo8ohJlb
=QCwW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Jun 2012 07:46:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:41:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.